uuid: 1e3fb577-6403-4789-bfa8-54832d84d257
langcode: en
status: true
dependencies:
  config:
    - search_api.index.careers
    - system.menu.secondary-menu
    - taxonomy.vocabulary.degree_options
    - taxonomy.vocabulary.learn
  module:
    - better_exposed_filters
    - search_api
id: careers_search
label: Careers
module: views
description: ''
tag: ''
base_table: search_api_index_careers
base_field: search_api_id
display:
  default:
    id: default
    display_title: Master
    display_plugin: default
    position: 0
    display_options:
      title: 'Explore Careers'
      fields: {  }
      pager:
        type: full
        options:
          offset: 0
          pagination_heading_level: h4
          items_per_page: 20
          total_pages: null
          id: 0
          tags:
            next: 'Next ››'
            previous: '‹‹ Previous'
            first: '« First'
            last: 'Last »'
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
          quantity: 9
      exposed_form:
        type: bef
        options:
          submit_button: Search
          reset_button: true
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
          input_required: false
          text_input_required: 'Select any filter and click on Apply to see results'
          text_input_required_format: basic_html
          bef:
            general:
              autosubmit: false
              autosubmit_exclude_textfield: false
              autosubmit_hide: false
              input_required: false
              allow_secondary: false
              secondary_label: 'Advanced options'
              text_input_required: 'Select any filter and click on Apply to see results'
              text_input_required_format: basic_html
              autosubmit_textfield_minimum_length: 3
            filter:
              field_learn_category:
                plugin_id: default
                advanced:
                  sort_options: false
                  placeholder_text: ''
                  rewrite:
                    filter_rewrite_values: ''
                    filter_rewrite_values_key: false
                  collapsible: false
                  collapsible_disable_automatic_open: false
                  is_secondary: false
                  hide_label: false
              field_degree_option:
                plugin_id: default
                advanced:
                  sort_options: false
                  placeholder_text: ''
                  rewrite:
                    filter_rewrite_values: ''
                    filter_rewrite_values_key: false
                  collapsible: false
                  collapsible_disable_automatic_open: false
                  is_secondary: false
                  hide_label: false
              search_api_fulltext:
                plugin_id: default
                advanced:
                  sort_options: false
                  placeholder_text: ''
                  rewrite:
                    filter_rewrite_values: ''
                    filter_rewrite_values_key: false
                  collapsible: false
                  collapsible_disable_automatic_open: false
                  is_secondary: false
                  hide_label: false
      access:
        type: none
        options: {  }
      cache:
        type: search_api_tag
        options: {  }
      empty: {  }
      sorts:
        title:
          id: title
          table: search_api_index_careers
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api
          order: ASC
          expose:
            label: ''
            field_identifier: title
          exposed: false
      arguments: {  }
      filters:
        field_learn_category:
          id: field_learn_category
          table: search_api_index_careers
          field: field_learn_category
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_term
          operator: or
          value: {  }
          group: 1
          exposed: true
          expose:
            operator_id: field_learn_category_op
            label: Category
            description: ''
            use_operator: false
            operator: field_learn_category_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: field_learn_category
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          reduce_duplicates: false
          vid: learn
          type: select
          hierarchy: false
          limit: true
          error_message: true
        field_degree_option:
          id: field_degree_option
          table: search_api_index_careers
          field: field_degree_option
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_term
          operator: or
          value: {  }
          group: 1
          exposed: true
          expose:
            operator_id: field_degree_option_op
            label: 'Education Level'
            description: ''
            use_operator: false
            operator: field_degree_option_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: field_degree_option
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          reduce_duplicates: false
          vid: degree_options
          type: select
          hierarchy: false
          limit: true
          error_message: true
        search_api_fulltext:
          id: search_api_fulltext
          table: search_api_index_careers
          field: search_api_fulltext
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_fulltext
          operator: and
          value: ''
          group: 1
          exposed: true
          expose:
            operator_id: search_api_fulltext_op
            label: Search
            description: ''
            use_operator: false
            operator: search_api_fulltext_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: search_api_fulltext
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          parse_mode: terms
          min_length: null
          fields: {  }
      filter_groups:
        operator: AND
        groups:
          1: AND
      style:
        type: default
      row:
        type: search_api
        options:
          view_modes:
            'entity:node':
              career: teaser
      query:
        type: search_api_query
        options:
          bypass_access: false
          skip_access: false
      relationships: {  }
      header: {  }
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url
        - url.query_args
        - 'user.node_grants:view'
      tags:
        - 'config:search_api.index.careers'
        - 'search_api_list:careers'
  block_1:
    id: block_1
    display_title: Block
    display_plugin: block
    position: 2
    display_options:
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url
        - url.query_args
        - 'user.node_grants:view'
      tags:
        - 'config:search_api.index.careers'
        - 'search_api_list:careers'
  page_1:
    id: page_1
    display_title: Page
    display_plugin: page
    position: 1
    display_options:
      sorts:
        search_api_relevance:
          id: search_api_relevance
          table: search_api_index_careers
          field: search_api_relevance
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api
          order: DESC
          expose:
            label: ''
            field_identifier: search_api_relevance
          exposed: false
        title:
          id: title
          table: search_api_index_careers
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api
          order: ASC
          expose:
            label: ''
            field_identifier: title
          exposed: false
      defaults:
        sorts: false
      display_extenders:
        ajax_history: {  }
        metatag_display_extender:
          metatags:
            title: 'Explore Careers'
            description: 'Explore career paths with Durham Tech through job insights, salary outlooks, & industry trends. Plus, find a range of programs designed to help you get there.'
          tokenize: false
      path: careers
      menu:
        type: normal
        title: Careers
        description: ''
        weight: -48
        expanded: false
        menu_name: secondary-menu
        parent: ''
        context: '0'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url
        - url.query_args
        - 'user.node_grants:view'
      tags:
        - 'config:search_api.index.careers'
        - 'search_api_list:careers'
